Environmental Agents; (c) A. Drogoul, S. Lalande, B. Corbara, D. Fresneau 1996
Date: 30/10/95 - 13/03/96; Version of Manta: 2.0b1

This file describes the parameters used to model the environmental
agents used in every simulation. It is always read and should
not be erased nor moved. When you want to change one of these parameters,
do it in your species file (by redefining it).


species dummy {}

graphics environ7.bmp {size 20}
	{	place	1
                obstacle 16
		food	1
		loc_food 1
		humidity	1
		light	1
                outside 1}
		
class Simulation {system TSimulation}
	var foodPerAgent {value 8}
	var feedingTime {value 8700}
endClass Simulation


class Food {system TFood type food}
	
var lifeTime {max 8500 init 0 delta 0 increment 1}
var foodLevel{max 30 min 0 init 30 increment -0.0003}

stim food {range external type normal}
	{value (value[foodLevel])}
endClass Food

class Humidity {system TPassiveAgent type humidity}
stim humidity {range external type fixed}
	{value 60}
endClass Humidity

class Light {system TPassiveAgent type light}
stim light {range external type fixed}
	{value 20}
endClass Light

class FoodLocation {system TPassiveAgent type loc_food}
stim loc_food {range external type fixed}
	{value 60}
endClass FoodLocation

class Outside {system TPassiveAgent type outside}
stim outside {range external type fixed}
     {value 1}
endClass Outside

